#ifdef VHDL

/*
 * $Id: Vhdl.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Vhdl::Vhdl"
  Vhdl::Vhdl  (std::string name,
               std::string id):
    _name                      (name),
    _id                        (id),
    _name_architecture_default ("morpheo_behavioural")
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    _name_architecture = _name_architecture_default;
//  _port_clock        = "";

    set_library_default();

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
#undef  FUNCTION
#define FUNCTION "Vhdl::~Vhdl"
  Vhdl::~Vhdl ()
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  

}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
